package leigh.minecraft.link.bukkit;

import leigh.mecha.cli.CommandState;
import org.bukkit.entity.Player;

public class BukkitCommandState implements CommandState {
    private final Player player;

    public BukkitCommandState(Player player) {
        this.player = player;
    }

    public Player getPlayer() {
        return player;
    }

    @Override
    public void sendMessage(String msg) throws Exception {
        player.sendMessage(msg);
    }
}
